package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkTimeOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkTimeOrderMapper extends BaseMapper<WorkTimeOrder> {


    List<WorkTimeOrder> getByDay(Integer userId, Date workDay);

    int save(WorkTimeOrder workTimeOrder);

    int updateByIds(@Param("reviewerId") Integer reviewerId,@Param("ids") List<Integer> ids);

    int updateStatusById(Integer reviewerId,Integer id, String reason);

    List<WorkTimeOrder> queryByPage(@Param("status") Integer status,@Param("projectId") Integer projectId,@Param("types") List<Integer> types);
}
